/*global $ verifyModal areYouSureClearTitle areYouSureClearBody*/
// This requires modals.js to run
function clearEventsInitialize(settings) {
    settings.clearButton = settings.clearButtonID || "#clear-event-log";
    settings.url = settings.url || "/events/clear";
    settings.success = settings.success || function() {};
    settings.title = settings.title || "";
    settings.body = settings.body || "";
    var clearLogButton = $(settings.clearButton);
    clearLogButton.unbind();
    clearLogButton.bind("mousedown", function() {
        verifyModal({
            title: settings.title,
            body: settings.body,
            onYes: function() {clearEvents(settings);}
        });
    });
    
    
}

function clearEvents(settings) {
    var formData="";
    $.ajax({
        url : settings.url,
        type: "POST",
        data : formData,
        success: function(data, textStatus, jqXHR)
        {
            settings.success(data,textStatus,jqXHR);
            
        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            console.error("Unable to clear events ",jqXHR, textStatus, errorThrown);
        }

    });
}



